org.eclipse.ease.debugging.events.model

## Class GetVariablesRequest

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.model.GetVariablesRequest

All Implemented Interfaces:
  IDebugEvent, IModelRequest

    public class GetVariablesRequest
    extends AbstractEvent
    implements IModelRequest

### Constructor Summary

Constructors
Constructor and Description
`GetVariablesRequest(EaseDebugStackFrame requestor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EaseDebugStackFrame` `getRequestor()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetVariablesRequest

    public GetVariablesRequest(EaseDebugStackFrame requestor)

### Method Detail

#### getRequestor

    public EaseDebugStackFrame getRequestor()